Menu

## PropertyManager

PropertyManager.php : 9

Provides method and doctrine annotation for a property submodel.

### Table of Contents

$propertyStorage : mixed
getProperty() : mixed
  Returns a property with its stored type.
loadProperties() : void
  Loads properties.
setProperty() : void
  Sets a property to a given value.
unsetProperty() : void
  Deletes a property.

### Properties

#### $propertyStorage

PropertyManager.php : 11
`private mixed $propertyStorage = null`

### Methods

#### getProperty()

PropertyManager.php : 33

Returns a property with its stored type.

`public getProperty(string $name[, mixed $default = null ]) : mixed`

##### Parameters

$name : string
$default : mixed = null

##### Return values

mixed —

#### loadProperties()

PropertyManager.php : 16

Loads properties.

`public loadProperties() : void`

##### Return values

void —

#### setProperty()

PropertyManager.php : 63

Sets a property to a given value.

`public setProperty(string $name, mixed $value) : void`

##### Parameters

$name : string
$value : mixed

##### Return values

void —

#### unsetProperty()

PropertyManager.php : 47

Deletes a property.

`public unsetProperty(string $name) : void`

##### Parameters

$name : string

##### Return values

void —

## Search results